org.apache.flume.channel.file.proto

## Class ProtosFactory.LogFileEncryption

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.flume.channel.file.proto.ProtosFactory.LogFileEncryption

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, ProtosFactory.LogFileEncryptionOrBuilder
  Enclosing class:
    ProtosFactory

      public static final class ProtosFactory.LogFileEncryption
      extends com.google.protobuf.GeneratedMessage
      implements ProtosFactory.LogFileEncryptionOrBuilder

  Protobuf type `LogFileEncryption`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ProtosFactory.LogFileEncryption.Builder` Protobuf type `LogFileEncryption`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CIPHERPROVIDER_FIELD_NUMBER`
    `static int` | `KEYALIAS_FIELD_NUMBER`
    `static int` | `PARAMETERS_FIELD_NUMBER`
    `static com.google.protobuf.Parser<ProtosFactory.LogFileEncryption>` | `PARSER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCipherProvider()` `required string cipherProvider = 1;`
    `com.google.protobuf.ByteString` | `getCipherProviderBytes()` `required string cipherProvider = 1;`
    `static ProtosFactory.LogFileEncryption` | `getDefaultInstance()`
    `ProtosFactory.LogFileEncryption` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `String` | `getKeyAlias()` `required string keyAlias = 2;`
    `com.google.protobuf.ByteString` | `getKeyAliasBytes()` `required string keyAlias = 2;`
    `com.google.protobuf.ByteString` | `getParameters()` `optional bytes parameters = 3;`
    `com.google.protobuf.Parser<ProtosFactory.LogFileEncryption>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasCipherProvider()` `required string cipherProvider = 1;`
    `boolean` | `hasKeyAlias()` `required string keyAlias = 2;`
    `boolean` | `hasParameters()` `optional bytes parameters = 3;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static ProtosFactory.LogFileEncryption.Builder` | `newBuilder()`
    `static ProtosFactory.LogFileEncryption.Builder` | `newBuilder(ProtosFactory.LogFileEncryption prototype)`
    `ProtosFactory.LogFileEncryption.Builder` | `newBuilderForType()`
    `protected ProtosFactory.LogFileEncryption.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static ProtosFactory.LogFileEncryption` | `parseDelimitedFrom(InputStream input)`
    `static ProtosFactory.LogFileEncryption` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static ProtosFactory.LogFileEncryption` | `parseFrom(byte[] data)`
    `static ProtosFactory.LogFileEncryption` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static ProtosFactory.LogFileEncryption` | `parseFrom(com.google.protobuf.ByteString data)`
    `static ProtosFactory.LogFileEncryption` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static ProtosFactory.LogFileEncryption` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static ProtosFactory.LogFileEncryption` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static ProtosFactory.LogFileEncryption` | `parseFrom(InputStream input)`
    `static ProtosFactory.LogFileEncryption` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `ProtosFactory.LogFileEncryption.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<ProtosFactory.LogFileEncryption> PARSER

    - #### CIPHERPROVIDER_FIELD_NUMBER

          public static final int CIPHERPROVIDER_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### KEYALIAS_FIELD_NUMBER

          public static final int KEYALIAS_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARAMETERS_FIELD_NUMBER

          public static final int PARAMETERS_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static ProtosFactory.LogFileEncryption getDefaultInstance()

    - #### getDefaultInstanceForType

          public ProtosFactory.LogFileEncryption getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<ProtosFactory.LogFileEncryption> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasCipherProvider

          public boolean hasCipherProvider()

      `required string cipherProvider = 1;`
      Specified by:
        `hasCipherProvider` in interface `ProtosFactory.LogFileEncryptionOrBuilder`

    - #### getCipherProvider

          public String getCipherProvider()

      `required string cipherProvider = 1;`
      Specified by:
        `getCipherProvider` in interface `ProtosFactory.LogFileEncryptionOrBuilder`

    - #### getCipherProviderBytes

          public com.google.protobuf.ByteString getCipherProviderBytes()

      `required string cipherProvider = 1;`
      Specified by:
        `getCipherProviderBytes` in interface `ProtosFactory.LogFileEncryptionOrBuilder`

    - #### hasKeyAlias

          public boolean hasKeyAlias()

      `required string keyAlias = 2;`
      Specified by:
        `hasKeyAlias` in interface `ProtosFactory.LogFileEncryptionOrBuilder`

    - #### getKeyAlias

          public String getKeyAlias()

      `required string keyAlias = 2;`
      Specified by:
        `getKeyAlias` in interface `ProtosFactory.LogFileEncryptionOrBuilder`

    - #### getKeyAliasBytes

          public com.google.protobuf.ByteString getKeyAliasBytes()

      `required string keyAlias = 2;`
      Specified by:
        `getKeyAliasBytes` in interface `ProtosFactory.LogFileEncryptionOrBuilder`

    - #### hasParameters

          public boolean hasParameters()

      `optional bytes parameters = 3;`
      Specified by:
        `hasParameters` in interface `ProtosFactory.LogFileEncryptionOrBuilder`

    - #### getParameters

          public com.google.protobuf.ByteString getParameters()

      `optional bytes parameters = 3;`
      Specified by:
        `getParameters` in interface `ProtosFactory.LogFileEncryptionOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static ProtosFactory.LogFileEncryption parseFrom(com.google.protobuf.ByteString data)
                                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ProtosFactory.LogFileEncryption parseFrom(com.google.protobuf.ByteString data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ProtosFactory.LogFileEncryption parseFrom(byte[] data)
                                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ProtosFactory.LogFileEncryption parseFrom(byte[] data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static ProtosFactory.LogFileEncryption parseFrom(InputStream input)
                                                           throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ProtosFactory.LogFileEncryption parseFrom(InputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ProtosFactory.LogFileEncryption parseDelimitedFrom(InputStream input)
                                                                    throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static ProtosFactory.LogFileEncryption parseDelimitedFrom(InputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                    throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ProtosFactory.LogFileEncryption parseFrom(com.google.protobuf.CodedInputStream input)
                                                           throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static ProtosFactory.LogFileEncryption parseFrom(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                           throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static ProtosFactory.LogFileEncryption.Builder newBuilder()

    - #### newBuilderForType

          public ProtosFactory.LogFileEncryption.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static ProtosFactory.LogFileEncryption.Builder newBuilder(ProtosFactory.LogFileEncryption prototype)

    - #### toBuilder

          public ProtosFactory.LogFileEncryption.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected ProtosFactory.LogFileEncryption.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.